#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>&{translation.user_management_list_user_title}</h1>
#{/set}
#{common.alert /}

<div class="container-fluid container-fixed-lg bg-white">
        %{
            checkContent = questions != null && !questions.isEmpty() ? questions.get(0) : null
        }%
        #{if checkContent != null }
        <div class="alert alert-warning" role="alert">
        <div style="font-size:14px">
            <b style="font-size: 16px;">Daftar Pertanyaan yang belum dijawab:</b><br/>
            #{list questions, as: 'question'}
            ${question.pertanyaan.raw()}
            #{/list}
            #{if morequestions != null }
            <b>${morequestions}</b>
            #{/if}
        </div>
        <br/>
        <a href="#{url route.questionanswers_questioncontroller_inputanswer /}" class="btn btn-complete btn-teal-monev btn-cons"><i class="fa fa-pencil-square-o"></i> Jawab Pertanyaan</a>
        </div>
        #{/if}
    #{if user?.isSuperAdmin() }
        <p>
            <a href="#{url route.user_management_usercontroller_create /}" class="btn btn-complete btn-teal-monev btn-cons"><i class="fa fa-plus"></i> Tambah User</a>
        </p>
    #{/if}
    #{if user?.isAdminKl() }
        <p>
            <a href="#{url route.user_management_usercontroller_undang /}" class="btn btn-danger">Undang Admin Konten</a>
        </p>
    #{/if}
        <!-- START card -->
        <div class="card card-transparent">
            <!-- <div class="card-header ">
                <div class="clearfix"></div>
            </div> -->
            <div class="card-body">
                <table id="table-user" class="table table-hover demo-table-dynamic table-responsive-block">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Role</th>
                            <th>Status User</th>
                            <th>Dibuat</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
        <!-- END card -->
</div>
#{set 'moreScripts'}
<script type="text/javascript">
(function($) {
    'use strict';
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var initTable = function() {
        var table = $('#table-user');
        var settings = {
            lengthMenu: [5, 10, 25, 50,100],
            "searching": true,
            "pageLength": 10,
            "ordering": true,
            "processing": true,
            "serverSide": true,
            "ajax": {
                url: "#{url route.user_management_userapicontroller_userjson /}",
                dataSrc: 'data'
            },
            initComplete: function(){
                    var dtable = $("#table-user").dataTable().api();
			        var searchWait = 0;
			        var searchWaitInterval;
			        var itemSearch;
			        $('.dataTables_filter input').unbind('.DT').bind('keyup.DT', function(e) {
					    itemSearch = $(this).val();
					    searchWait = 0;
					    if(!searchWaitInterval) searchWaitInterval = setInterval(function(){
							if(searchWait>=3){
								clearInterval(searchWaitInterval);
								searchWaitInterval = '';
								dtable.search(itemSearch).draw();
								searchWait = 0;
							}
							searchWait++;
					    },300);
				    });
            },
            "order": [[ 5, "desc" ]],
            "sDom": "<'row'<f l>><t><'row'<p i>>",
            "aoColumnDefs": [
				{"sWidth": "5%", "aTargets": [0], "orderable": false},
				{"sWidth": "22%", "aTargets": [1] },
				{"sWidth": "20%", "aTargets": [2] },
				{"sWidth": "10%", "aTargets": [3], "orderable": false },
				{"sWidth": "22%", "aTargets": [4] },
                {"sWidth": "10%", "aTargets": [5] },
                {"sWidth": "10%", "aTargets": [6], "orderable": false},
			],
			columns: [
				null,null,null,null,null,null,null
			],
            "scrollCollapse": true,
            "oLanguage": {
                "sLengthMenu": "Tampilkan _MENU_ data",
                "sInfoFiltered": ""
            }
        };
        table.dataTable(settings);
        $('#search-table').keyup(function() {
            table.fnFilter($(this).val());
        });
    }
    initTable();
})(window.jQuery);
</script>
#{/set}